From d76c77873241a33cf7832ef8e8e336053028d321 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 00:52:56 +0200
Subject: [PATCH 07/13] gnu: Add clojure-tigris

* gnu/packages/clojure.scm (clojure-tigris): New variable.
---
 gnu/packages/clojure.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index f844f8310e..54b5fc9383 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -633,6 +633,33 @@ (define-public clojure-camel-snake-kebab
 word case conversions")
     (license license:epl1.0)))
 
+(define-public clojure-tigris
+  (package
+    (name "clojure-tigris")
+    (version "0.1.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/dakrone/tigris")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "17sjyc0rrfg77xbkb4qfplbgldwg3fl418365a7xzmiz6ijm6qbd"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/clj")
+       #:java-source-dirs '("src/java")
+       #:tests? #f                    ; Dependency loop with Cheshire
+       #:doc-dirs '()))
+    (home-page "https://github.com/dakrone/tigris")
+    (synopsis "Stream-to-stream JSON string escaping")
+    (description "Tigris provides a stream for escaping json strings as
+they're being read from a different stream.  So stream-to-stream string
+encoding.  Only a single string though.  It's pretty narrow-use.  It's written
+in Java with a tiny Clojure wrapper.")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-gitlibs
   (package
     (name "clojure-tools-gitlibs")
-- 
2.38.0

